Subject: bug#19101: 25.0.50; vc-print-log puts wrong buffer into log-view-mode

From: Ivan Shmakov <[email-masked]>
Date: Thu, 20 Nov 2014 11:17:14 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> Ivan Shmakov <[email-masked]> Date: Wed, 19 Nov 2014 16:51:13 +0000

 >>>> This is likely to be caused by VC assuming that the ‘print-log’
 >>>> backend function leaves the log buffer as the current one.

 >>> No, it's because Stefan moved the call to pop-to-buffer so that the
 >>> part that turned on the mode was running in the wrong buffer.

 >> ACK, but that change seem to be dated 2014-11-05, while I’ve
 >> observed a similar issue (with non-Emacs code, though) before.  Or
 >> so I think.

 > The problem reported in this bug started happening on 2014-11-05.

	I stand corrected; as it seems, I’ve first observed this issue
	with the then-recent development version of Emacs built
	2014-11-08.

 >>> As for print-log backend function, those that I saw run inside
 >>> with-temp-buffer, so they don't switch buffers.

 >> There’re several which use vc-setup-buffer, which in turn calls
 >> set-buffer.

 > But no one relies on that.

	ACK, thanks for the clarification.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A